# This file is part of pybliographer
# 
# Copyright (C) 1998-2006 Frederic GOBRY
# Email : gobry@pybliographer.org
# 	   
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2 
# of the License, or (at your option) any later version.
#   
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details. 
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

from PyblioUI.Gtk import Glade
import gtk

import logging

class _Formatter(logging.Formatter):
    pass

class Handler(logging.Handler, Glade.Window):

    gladeinfo = { 'file': 'logs',
                  'root': '_w_popup',
                  'name': 'logs'
                  }


    def __init__(self):
        logging.Handler.__init__(self)
        Glade.Window.__init__(self)

        self.setFormatter(_Formatter('[%(levelname)s] %(message)s'))
        
        self._buffer = self._w_text.get_buffer()
        return

    def emit(self, rec):
        self._w_popup.show()

        txt = self.format(rec)
        
        self._buffer.insert(self._buffer.get_start_iter(),
                            txt + '\n')

        self._w_text.scroll_to_iter(self._buffer.get_start_iter(), 0.0)

        while gtk.events_pending ():
            gtk.main_iteration (False)
            
        return
    

    def _on_delete(self, *args):
        return True

    def _on_close(self, *args):
        self.size_save()
        self._w_popup.hide()
