# This file is part of pybliographer
# 
# Copyright (C) 1998-2006 Frederic GOBRY
# Email : gobry@pybliographer.org
# 	   
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2 
# of the License, or (at your option) any later version.
#   
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details. 
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

import gtk

cursor = {
    'busy' : gtk.gdk.Cursor (gtk.gdk.WATCH),
    'normal': gtk.gdk.Cursor (gtk.gdk.LEFT_PTR),
    }

def set_cursor(self, name):

    window = self.get_toplevel ().window
    if not window: return
    
    window.set_cursor (cursor [name])
        
    while gtk.events_pending ():
        gtk.main_iteration (False)
    return

from PyblioUI.Gtk import has_gnome_support

if has_gnome_support:
    import gnome
    
    def url_opener(url):
        gnome.url_show(url)
        return
    
else:
    import webbrowser
    
    def url_opener(url):
        webbrowser.open(url, False, True)
        return
    
