# This file is part of pybliographer
# 
# Copyright (C) 1998-2006 Frederic GOBRY
# Email : gobry@pybliographer.org
# 	   
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2 
# of the License, or (at your option) any later version.
#   
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details. 
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
# 
# 

""" Store GUI configuration information """

import os, sys

from ConfigParser import SafeConfigParser

class Engine(SafeConfigParser):
    def __init__(self, filename):
        self.filename = filename

        dirname = os.path.dirname(self.filename)
        if not os.path.exists(dirname):
            os.makedirs(dirname)

        self.conf = SafeConfigParser()
        self.conf.read(filename)

    def __del__(self):
        fd = open(self.filename, 'w')
        self.conf.write(fd)
        fd.close()

    def set_int(self, section, key, val):
        if not self.conf.has_section(section):
            self.conf.add_section(section)

        self.conf.set(section, key, str(val))

    def get_int(self, section, key):
        try:
            return int(self.conf.get(section, key))
        except:
            return None

_configfile = os.path.expanduser(
    os.path.join("~", ".pyblio","pybliographic.ini"))

_engine = Engine(_configfile)

def int_set(key, val):
    _engine.set_int('ui', key, val)

def int_get(key):
    return _engine.get_int('ui', key)

