# This file is part of pybliographer
# 
# Copyright (C) 1998-2006 Frederic GOBRY
# Email : gobry@pybliographer.org
# 	   
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2 
# of the License, or (at your option) any later version.
#   
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details. 
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

"""
This package contains the Gtk interface.

Some elements are specialized to run on either Gnome or Gtk for
Windows. You can find them in L{PyblioUI.Gtk.Gnome} and
L{PyblioUI.Gtk.Gnome}.
"""

import logging

log = logging.getLogger('pyblio.ui')

try:
    import PyblioUI.Gtk.Gnome
    has_gnome_support = True
except ImportError:
    log.info('cannot load Gnome support. Using plain Gtk')
    has_gnome_support = False

import PyblioUI

# If this fails and we only have pygtk 2.x, we are still ok. It seems
# that py2exe can make this fail for instance.
try:
    import pygtk
    pygtk.require("2.0")
except:
    pass

import gtk
import gtk.glade

gtk.glade.bindtextdomain("pybliographer", PyblioUI.localedir)

# Provide a simple "run" function

def run ():
    gtk.main()
    return

def exit ():
    gtk.main_quit ()
    return

